#ifndef MFILLHFADC_H
#define MFILLHFADC_H

#ifndef MAGIC_H
#include "MAGIC.h"
#endif

#ifndef MTASK_H
#include "MTask.h"
#endif

class MParList;
class MHFadcCam;
class MRawEvtData;

class MFillHFadc : public MTask
{
private:
    MRawEvtData *fRawEvtData; // The raw event data from which the spektrum is created
    MHFadcCam   *fHistos ;    // The histogram container into which holds the spektrum

public:
    MFillHFadc (const char *name=NULL, const char *title=NULL);

    Bool_t PreProcess(MParList *pList);
    Bool_t Process();
    Bool_t PostProcess();

    ClassDef(MFillHFadc, 0)  // Task to fill the fadc data into histograms
};
    
#endif

